Subject: Re: bug#69191: 30.0.50; New var `major-mode-remap-defaults`, for packages

From: Stefan Monnier <[email-masked]>
Date: Wed, 06 Mar 2024 22:39:25 -0500

>> I'd expect that `go-ts-mode.el` would setup both `auto-mode-alist` and`
>> and `major-mode-remap-defaults` at the same time (probably at the same
>> time as the function's autoload), so I don't foresee any problem there.
> I suppose that's good for consistency, but proportionally less useful at the
> same time.

Yeah probably not terribly useful.  Nicer in terms of principles but not
clear if it would pay off.

        Stefan